package com.ruoyi.base.mapper;

import java.util.List;
import com.ruoyi.base.domain.BaseCabinetInfo;

/**
 * 电柜信息Mapper接口
 * 
 * @author ruoyi
 * @date 2024-10-31
 */
public interface BaseCabinetInfoMapper 
{
    /**
     * 查询电柜信息
     * 
     * @param objId 电柜信息主键
     * @return 电柜信息
     */
    public BaseCabinetInfo selectBaseCabinetInfoByObjId(Long objId);

    /**
     * 查询电柜信息列表
     * 
     * @param baseCabinetInfo 电柜信息
     * @return 电柜信息集合
     */
    public List<BaseCabinetInfo> selectBaseCabinetInfoList(BaseCabinetInfo baseCabinetInfo);

    /**
     * 新增电柜信息
     * 
     * @param baseCabinetInfo 电柜信息
     * @return 结果
     */
    public int insertBaseCabinetInfo(BaseCabinetInfo baseCabinetInfo);

    /**
     * 修改电柜信息
     * 
     * @param baseCabinetInfo 电柜信息
     * @return 结果
     */
    public int updateBaseCabinetInfo(BaseCabinetInfo baseCabinetInfo);

    /**
     * 删除电柜信息
     * 
     * @param objId 电柜信息主键
     * @return 结果
     */
    public int deleteBaseCabinetInfoByObjId(Long objId);

    /**
     * 批量删除电柜信息
     * 
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseCabinetInfoByObjIds(Long[] objIds);
}
